org.apache.lucene.queryparser.flexible.core.nodes

## Interface TextableQueryNode

- All Known Implementing Classes:
    FieldQueryNode, FuzzyQueryNode, PrefixWildcardQueryNode, QuotedFieldQueryNode, RegexpQueryNode, WildcardQueryNode

      public interface TextableQueryNode

  Interface for a node that has text as a `CharSequence`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CharSequence` | `getText()`
    `void` | `setText(CharSequence text)`

- - ### Method Detail

    - #### getText

          CharSequence getText()

    - #### setText

          void setText(CharSequence text)

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.